# std::reference_wrapper< _Tp > Class Template Reference

reference_wrapper More...

Inheritance diagram for std::reference_wrapper< _Tp >:

List of all members.

## Public Types

- typedef _Tp type

## Public Member Functions

- _Tp & get () const
- operator _Tp & () const
- template<typename... _Args> result_of< _M_func_type(_Args...)>
  ::type operator() (_Args &...__args) const
- reference_wrapper & operator= (const reference_wrapper< _Tp > &__inref)
- reference_wrapper (const reference_wrapper< _Tp > &__inref)
- reference_wrapper (_Tp &__indata)

## Detailed Description

### template<typename _Tp>
class std::reference_wrapper< _Tp >

reference_wrapper

Definition at line 426 of file tr1_impl/functional.

The documentation for this class was generated from the following file:

- tr1_impl/functional